diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2506,7 +2465,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-multiplier" xreflabel="bgwriter_lru_multiplier">
-       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>)
+       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>) - default is 2.0
        <indexterm>
         <primary><varname>bgwriter_lru_multiplier</varname> configuration parameter</primary>
        </indexterm>
@@ -2526,7 +2485,6 @@ include_dir 'conf.d'
          Larger values provide some cushion against spikes in demand,
          while smaller values intentionally leave writes to be done by
          server processes.
-         The default is 2.0.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -2534,7 +2492,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-flush-after" xreflabel="bgwriter_flush_after">
-       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>)
+       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>) - default is 512kB on Linux, 0 elsewhere
        <indexterm>
         <primary><varname>bgwriter_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2556,8 +2514,7 @@ include_dir 'conf.d'
          that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
          The valid range is between
          <literal>0</literal>, which disables forced writeback, and
-         <literal>2MB</literal>.  The default is <literal>512kB</literal> on Linux,
-         <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not 8kB,
+         <literal>2MB</literal>.  (If <symbol>BLCKSZ</symbol> is not 8kB,
          the default and maximum values scale proportionally to it.)
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
@@ -2580,7 +2537,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-backend-flush-after" xreflabel="backend_flush_after">
-       <term><varname>backend_flush_after</varname> (<type>integer</type>)
+       <term><varname>backend_flush_after</varname> (<type>integer</type>) - default is 0
        <indexterm>
         <primary><varname>backend_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2602,7 +2559,7 @@ include_dir 'conf.d'
          that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
          The valid range is
          between <literal>0</literal>, which disables forced writeback,
-         and <literal>2MB</literal>.  The default is <literal>0</literal>, i.e., no
+         and <literal>2MB</literal>.  If <literal>0</literal> is used then no
          forced writeback.  (If <symbol>BLCKSZ</symbol> is not 8kB,
          the maximum value scales proportionally to it.)
         </para>
@@ -2649,7 +2606,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-maintenance-io-concurrency" xreflabel="maintenance_io_concurrency">
-       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>)
+       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>) - default is 16 on supported systems, otherwise 0
        <indexterm>
         <primary><varname>maintenance_io_concurrency</varname> configuration parameter</primary>
        </indexterm>
@@ -2689,7 +2646,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-io-combine-limit" xreflabel="io_combine_limit">
-       <term><varname>io_combine_limit</varname> (<type>integer</type>)
+       <term><varname>io_combine_limit</varname> (<type>integer</type>) - default is 128kb
        <indexterm>
         <primary><varname>io_combine_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2797,7 +2754,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-max-worker-processes" xreflabel="max_worker_processes">
-       <term><varname>max_worker_processes</varname> (<type>integer</type>)
+       <term><varname>max_worker_processes</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_worker_processes</varname> configuration parameter</primary>
        </indexterm>
@@ -2805,8 +2762,7 @@ include_dir 'conf.d'
        <listitem>
         <para>
          Sets the maximum number of background processes that the cluster
-         can support.  This parameter can only be set at server start.  The
-         default is 8.
+         can support.  This parameter can only be set at server start.  
         </para>
 
         <para>
@@ -2825,7 +2781,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers-per-gather" xreflabel="max_parallel_workers_per_gather">
-       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers_per_gather</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_workers_per_gather</varname> configuration parameter</primary>
        </indexterm>
@@ -2839,8 +2795,7 @@ include_dir 'conf.d'
          <xref linkend="guc-max-parallel-workers"/>.  Note that the requested
          number of workers may not actually be available at run time.  If this
          occurs, the plan will run with fewer workers than expected, which may
-         be inefficient.  The default value is 2.  Setting this value to 0
-         disables parallel query execution.
+         be inefficient.  Setting this value to 0 disables parallel query execution.
         </para>
 
         <para>
@@ -2867,7 +2822,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-maintenance-workers" xreflabel="max_parallel_maintenance_workers">
-       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_maintenance_workers</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>max_parallel_maintenance_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2884,7 +2839,7 @@ include_dir 'conf.d'
          by <xref linkend="guc-max-parallel-workers"/>.  Note that the requested
          number of workers may not actually be available at run time.
          If this occurs, the utility operation will run with fewer
-         workers than expected.  The default value is 2.  Setting this
+         workers than expected.  Setting this
          value to 0 disables the use of parallel workers by utility
          commands.
         </para>
@@ -2905,7 +2860,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-parallel-workers" xreflabel="max_parallel_workers">
-       <term><varname>max_parallel_workers</varname> (<type>integer</type>)
+       <term><varname>max_parallel_workers</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_parallel_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -2913,7 +2868,7 @@ include_dir 'conf.d'
        <listitem>
         <para>
          Sets the maximum number of workers that the cluster can support for
-         parallel operations.  The default value is 8.  When increasing or
+         parallel operations.  When increasing or
          decreasing this value, consider also adjusting
          <xref linkend="guc-max-parallel-maintenance-workers"/> and
          <xref linkend="guc-max-parallel-workers-per-gather"/>.
@@ -2927,7 +2882,7 @@ include_dir 'conf.d'
 
       <varlistentry id="guc-parallel-leader-participation" xreflabel="parallel_leader_participation">
        <term>
-       <varname>parallel_leader_participation</varname> (<type>boolean</type>)
+       <varname>parallel_leader_participation</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>parallel_leader_participation</varname> configuration parameter</primary>
        </indexterm>
@@ -2936,8 +2891,7 @@ include_dir 'conf.d'
         <para>
          Allows the leader process to execute the query plan under
          <literal>Gather</literal> and <literal>Gather Merge</literal> nodes
-         instead of waiting for worker processes.  The default is
-         <literal>on</literal>.  Setting this value to <literal>off</literal>
+         instead of waiting for worker processes.  Setting this value to <literal>off</literal>
          reduces the likelihood that workers will become blocked because the
          leader is not reading tuples fast enough, but requires the leader
          process to wait for worker processes to start up before the first
@@ -2964,7 +2918,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-wal-level" xreflabel="wal_level">
-      <term><varname>wal_level</varname> (<type>enum</type>)
+      <term><varname>wal_level</varname> (<type>enum</type>) - default is replica
       <indexterm>
        <primary><varname>wal_level</varname> configuration parameter</primary>
       </indexterm>
@@ -2972,7 +2926,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         <varname>wal_level</varname> determines how much information is written to
-        the WAL. The default value is <literal>replica</literal>, which writes enough
+        the WAL. When value is <literal>replica</literal> then it is written enough
         data to support WAL archiving and replication, including running
         read-only queries on a standby server. <literal>minimal</literal> removes all
         logging except the information required to recover from a crash or
@@ -3025,7 +2979,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-fsync" xreflabel="fsync">
-      <term><varname>fsync</varname> (<type>boolean</type>)
+      <term><varname>fsync</varname> (<type>boolean</type>) - has no default value
       <indexterm>
        <primary><varname>fsync</varname> configuration parameter</primary>
       </indexterm>
@@ -3087,7 +3041,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-synchronous-commit" xreflabel="synchronous_commit">
-      <term><varname>synchronous_commit</varname> (<type>enum</type>)
+      <term><varname>synchronous_commit</varname> (<type>enum</type>) - default is on
       <indexterm>
        <primary><varname>synchronous_commit</varname> configuration parameter</primary>
       </indexterm>
@@ -3097,8 +3051,7 @@ include_dir 'conf.d'
         Specifies how much WAL processing must complete before
         the database server returns a <quote>success</quote>
         indication to the client.  Valid values are
-        <literal>remote_apply</literal>, <literal>on</literal>
-        (the default), <literal>remote_write</literal>,
+        <literal>remote_apply</literal>, <literal>on</literal>, <literal>remote_write</literal>,
         <literal>local</literal>, and <literal>off</literal>.
        </para>
 
@@ -3242,7 +3195,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-sync-method" xreflabel="wal_sync_method">
-      <term><varname>wal_sync_method</varname> (<type>enum</type>)
+      <term><varname>wal_sync_method</varname> (<type>enum</type>) - default is the first method supported by the platform
       <indexterm>
        <primary><varname>wal_sync_method</varname> configuration parameter</primary>
       </indexterm>
@@ -3297,7 +3250,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-full-page-writes" xreflabel="full_page_writes">
-      <term><varname>full_page_writes</varname> (<type>boolean</type>)
+      <term><varname>full_page_writes</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>full_page_writes</varname> configuration parameter</primary>
       </indexterm>
@@ -3338,13 +3291,12 @@ include_dir 'conf.d'
        <para>
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-log-hints" xreflabel="wal_log_hints">
-      <term><varname>wal_log_hints</varname> (<type>boolean</type>)
+      <term><varname>wal_log_hints</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>wal_log_hints</varname> configuration parameter</primary>
       </indexterm>
@@ -3365,13 +3317,13 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        This parameter can only be set at server start. The default value is <literal>off</literal>.
+        This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-wal-compression" xreflabel="wal_compression">
-      <term><varname>wal_compression</varname> (<type>enum</type>)
+      <term><varname>wal_compression</varname> (<type>enum</type>) - default is off
       <indexterm>
        <primary><varname>wal_compression</varname> configuration parameter</primary>
       </indexterm>
@@ -3389,7 +3341,6 @@ include_dir 'conf.d'
         was compiled with <option>--with-lz4</option>) and
         <literal>zstd</literal> (if <productname>PostgreSQL</productname>
         was compiled with <option>--with-zstd</option>).
-        The default value is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -3404,14 +3355,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-init-zero" xreflabel="wal_init_zero">
-      <term><varname>wal_init_zero</varname> (<type>boolean</type>)
+      <term><varname>wal_init_zero</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_init_zero</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>on</literal> (the default), this option causes new
+        When this value is set to <literal>on</literal>, causes new
         WAL files to be filled with zeroes.  On some file systems, this ensures
         that space is allocated before we need to write WAL records.  However,
         <firstterm>Copy-On-Write</firstterm> (COW) file systems may not benefit
@@ -3423,14 +3374,14 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-recycle" xreflabel="wal_recycle">
-      <term><varname>wal_recycle</varname> (<type>boolean</type>)
+      <term><varname>wal_recycle</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>wal_recycle</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>on</literal> (the default), this option causes WAL
+        If this value is <literal>on</literal>, this option causes WAL
         files to be recycled by renaming them, avoiding the need to create new
         ones.  On COW file systems, it may be faster to create new ones, so the
         option is given to disable this behavior.
@@ -3439,7 +3390,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-buffers" xreflabel="wal_buffers">
-      <term><varname>wal_buffers</varname> (<type>integer</type>)
+      <term><varname>wal_buffers</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>wal_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -3447,7 +3398,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The amount of shared memory used for WAL data that has not yet been
-        written to disk.  The default setting of -1 selects a size equal to
+        written to disk.  Value of -1 selects a size equal to
         1/32nd (about 3%) of <xref linkend="guc-shared-buffers"/>, but not less
         than <literal>64kB</literal> nor more than the size of one WAL
         segment, typically <literal>16MB</literal>.  This value can be set
@@ -3473,7 +3424,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-delay" xreflabel="wal_writer_delay">
-      <term><varname>wal_writer_delay</varname> (<type>integer</type>)
+      <term><varname>wal_writer_delay</varname> (<type>integer</type>) - default is 200ms
       <indexterm>
        <primary><varname>wal_writer_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3489,8 +3440,7 @@ include_dir 'conf.d'
         produced since, then WAL is only written to the operating system, not
         flushed to disk.
         If this value is specified without units, it is taken as milliseconds.
-        The default value is 200 milliseconds (<literal>200ms</literal>).  Note that
-        on some systems, the effective resolution of sleep delays is 10
+        Note that on some systems, the effective resolution of sleep delays is 10
         milliseconds; setting <varname>wal_writer_delay</varname> to a value that is
         not a multiple of 10 might have the same results as setting it to the
         next higher multiple of 10. This parameter can only be set in the
@@ -3500,7 +3450,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-writer-flush-after" xreflabel="wal_writer_flush_after">
-      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>)
+      <term><varname>wal_writer_flush_after</varname> (<type>integer</type>) - default is 1MB
       <indexterm>
        <primary><varname>wal_writer_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3516,7 +3466,6 @@ include_dir 'conf.d'
         to <literal>0</literal> then WAL data is always flushed immediately.
         If this value is specified without units, it is taken as WAL blocks,
         that is <symbol>XLOG_BLCKSZ</symbol> bytes, typically 8kB.
-        The default is <literal>1MB</literal>.
         This parameter can only be set in the
         <filename>postgresql.conf</filename> file or on the server command line.
        </para>
@@ -3524,7 +3473,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-skip-threshold" xreflabel="wal_skip_threshold">
-      <term><varname>wal_skip_threshold</varname> (<type>integer</type>)
+      <term><varname>wal_skip_threshold</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>wal_skip_threshold</varname> configuration parameter</primary>
       </indexterm>
@@ -3538,14 +3487,13 @@ include_dir 'conf.d'
         fsync of affected files.  Depending on the properties of your storage,
         raising or lowering this value might help if such commits are slowing
         concurrent transactions.  If this value is specified without units, it
-        is taken as kilobytes.  The default is two megabytes
-        (<literal>2MB</literal>).
+        is taken as kilobytes.  
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-commit-delay" xreflabel="commit_delay">
-      <term><varname>commit_delay</varname> (<type>integer</type>)
+      <term><varname>commit_delay</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -3565,7 +3513,7 @@ include_dir 'conf.d'
         when a flush is about to be initiated.  Also, no delays are
         performed if <varname>fsync</varname> is disabled.
         If this value is specified without units, it is taken as microseconds.
-        The default <varname>commit_delay</varname> is zero (no delay).
+        Setting this value to <varname>0</varname> means no delay.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -3583,7 +3531,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-siblings" xreflabel="commit_siblings">
-      <term><varname>commit_siblings</varname> (<type>integer</type>)
+      <term><varname>commit_siblings</varname> (<type>integer</type>) - default is 5 transactions
       <indexterm>
        <primary><varname>commit_siblings</varname> configuration parameter</primary>
       </indexterm>
@@ -3593,8 +3541,7 @@ include_dir 'conf.d'
         Minimum number of concurrent open transactions to require
         before performing the <varname>commit_delay</varname> delay. A larger
         value makes it more probable that at least one other
-        transaction will become ready to commit during the delay
-        interval. The default is five transactions.
+        transaction will become ready to commit during the delay interval. 
        </para>
       </listitem>
      </varlistentry>
@@ -3606,7 +3553,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-checkpoint-timeout" xreflabel="checkpoint_timeout">
-      <term><varname>checkpoint_timeout</varname> (<type>integer</type>)
+      <term><varname>checkpoint_timeout</varname> (<type>integer</type>) - default is 5 minutes
       <indexterm>
        <primary><varname>checkpoint_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -3616,7 +3563,6 @@ include_dir 'conf.d'
         Maximum time between automatic WAL checkpoints.
         If this value is specified without units, it is taken as seconds.
         The valid range is between 30 seconds and one day.
-        The default is five minutes (<literal>5min</literal>).
         Increasing this parameter can increase the amount of time needed
         for crash recovery.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -3626,7 +3572,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-completion-target" xreflabel="checkpoint_completion_target">
-      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>)
+      <term><varname>checkpoint_completion_target</varname> (<type>floating point</type>) - default is 0.9
       <indexterm>
        <primary><varname>checkpoint_completion_target</varname> configuration parameter</primary>
       </indexterm>
@@ -3634,8 +3580,8 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Specifies the target of checkpoint completion, as a fraction of
-        total time between checkpoints. The default is 0.9, which spreads the
-        checkpoint across almost all of the available interval, providing fairly
+        total time between checkpoints. Value of 0.9 spreads the
+        checkpoint across to almost all of the available interval, providing fairly
         consistent I/O load while also leaving some time for checkpoint
         completion overhead.  Reducing this parameter is not recommended because
         it causes the checkpoint to complete faster.  This results in a higher
@@ -3648,7 +3594,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-flush-after" xreflabel="checkpoint_flush_after">
-      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>)
+      <term><varname>checkpoint_flush_after</varname> (<type>integer</type>) - default is 256kb on Linux, elsewhere 0
       <indexterm>
        <primary><varname>checkpoint_flush_after</varname> configuration parameter</primary>
       </indexterm>
@@ -3670,8 +3616,7 @@ include_dir 'conf.d'
         that is <symbol>BLCKSZ</symbol> bytes, typically 8kB.
         The valid range is
         between <literal>0</literal>, which disables forced writeback,
-        and <literal>2MB</literal>.  The default is <literal>256kB</literal> on
-        Linux, <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not
+        and <literal>2MB</literal>.  (If <symbol>BLCKSZ</symbol> is not
         8kB, the default and maximum values scale proportionally to it.)
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
@@ -3680,7 +3625,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-checkpoint-warning" xreflabel="checkpoint_warning">
-      <term><varname>checkpoint_warning</varname> (<type>integer</type>)
+      <term><varname>checkpoint_warning</varname> (<type>integer</type>) - default is 30 seconds
       <indexterm>
        <primary><varname>checkpoint_warning</varname> configuration parameter</primary>
       </indexterm>
@@ -3692,7 +3637,6 @@ include_dir 'conf.d'
         than this amount of time (which suggests that
         <varname>max_wal_size</varname> ought to be raised).
         If this value is specified without units, it is taken as seconds.
-        The default is 30 seconds (<literal>30s</literal>).
         Zero disables the warning.
         No warnings will be generated if <varname>checkpoint_timeout</varname>
         is less than <varname>checkpoint_warning</varname>.
@@ -3703,7 +3647,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-wal-size" xreflabel="max_wal_size">
-      <term><varname>max_wal_size</varname> (<type>integer</type>)
+      <term><varname>max_wal_size</varname> (<type>integer</type>) - default is 1GB
       <indexterm>
        <primary><varname>max_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3716,7 +3660,6 @@ include_dir 'conf.d'
         heavy load, a failing <varname>archive_command</varname> or <varname>archive_library</varname>, or a high
         <varname>wal_keep_size</varname> setting.
         If this value is specified without units, it is taken as megabytes.
-        The default is 1 GB.
         Increasing this parameter can increase the amount of time needed for
         crash recovery.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -3726,7 +3669,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-wal-size" xreflabel="min_wal_size">
-      <term><varname>min_wal_size</varname> (<type>integer</type>)
+      <term><varname>min_wal_size</varname> (<type>integer</type>) - default is 80MB
       <indexterm>
        <primary><varname>min_wal_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3739,7 +3682,6 @@ include_dir 'conf.d'
         handle spikes in WAL usage, for example when running large batch
         jobs.
         If this value is specified without units, it is taken as megabytes.
-        The default is 80 MB.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -3753,7 +3695,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-archive-mode" xreflabel="archive_mode">
-      <term><varname>archive_mode</varname> (<type>enum</type>)
+      <term><varname>archive_mode</varname> (<type>enum</type>) - default if off
       <indexterm>
        <primary><varname>archive_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -3787,7 +3729,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-command" xreflabel="archive_command">
-      <term><varname>archive_command</varname> (<type>string</type>)
+      <term><varname>archive_command</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>archive_command</varname> configuration parameter</primary>
       </indexterm>
@@ -3812,7 +3754,7 @@ include_dir 'conf.d'
         <varname>archive_library</varname> is set to an empty string.  If both
         <varname>archive_command</varname> and <varname>archive_library</varname>
         are set, an error will be raised.
-        If <varname>archive_command</varname> is an empty string (the default) while
+        If <varname>archive_command</varname> is an empty string while
         <varname>archive_mode</varname> is enabled (and <varname>archive_library</varname>
         is set to an empty string), WAL archiving is temporarily
         disabled, but the server continues to accumulate WAL segment files in
@@ -3827,7 +3769,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-library" xreflabel="archive_library">
-      <term><varname>archive_library</varname> (<type>string</type>)
+      <term><varname>archive_library</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>archive_library</varname> configuration parameter</primary>
       </indexterm>
@@ -3835,7 +3777,7 @@ include_dir 'conf.d'
       <listitem>
        <para>
         The library to use for archiving completed WAL file segments.  If set to
-        an empty string (the default), archiving via shell is enabled, and
+        an empty string, archiving via shell is enabled, and
         <xref linkend="guc-archive-command"/> is used.  If both
         <varname>archive_command</varname> and <varname>archive_library</varname>
         are set, an error will be raised.  Otherwise, the specified
@@ -3852,7 +3794,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-archive-timeout" xreflabel="archive_timeout">
-      <term><varname>archive_timeout</varname> (<type>integer</type>)
+      <term><varname>archive_timeout</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>archive_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -3907,7 +3849,7 @@ include_dir 'conf.d'
 
     <variablelist>
      <varlistentry id="guc-recovery-prefetch" xreflabel="recovery_prefetch">
-      <term><varname>recovery_prefetch</varname> (<type>enum</type>)
+      <term><varname>recovery_prefetch</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>recovery_prefetch</varname> configuration parameter</primary>
       </indexterm>
@@ -3917,8 +3859,7 @@ include_dir 'conf.d'
         Whether to try to prefetch blocks that are referenced in the WAL that
         are not yet in the buffer pool, during recovery.  Valid values are
         <literal>off</literal>, <literal>on</literal> and
-        <literal>try</literal> (the default).  The setting
-        <literal>try</literal> enables
+        <literal>try</literal>.  The setting <literal>try</literal> enables
         prefetching only if the operating system provides support for issuing
         read-ahead advice.
        </para>
@@ -3933,7 +3874,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-wal-decode-buffer-size" xreflabel="wal_decode_buffer_size">
-      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>)
+      <term><varname>wal_decode_buffer_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>wal_decode_buffer_size</varname> configuration parameter</primary>
       </indexterm>
@@ -3943,7 +3884,6 @@ include_dir 'conf.d'
         A limit on how far ahead the server can look in the WAL, to find
         blocks to prefetch.  If this value is specified without units, it is
         taken as bytes.
-        The default is 512kB.
        </para>
       </listitem>
      </varlistentry>
